Update Page

Updates one content page.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

pageIdstringRequired

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Request

channel_idintegerOptionalDefaults to 1
The ID of the channel where this page should be shown.
namestringOptional1-100 characters
The name of the page. Must be unique.
is_visiblebooleanOptional

Boolean value that specifies the visibility of the page in the storefront’s navigation menu.

Indicates whether the page is available to users and visible in any menus.

parent_idintegerOptionalDefaults to 0
ID of any parent Web page.
sort_orderintegerOptionalDefaults to 0

Specifies the order in which the page is displayed on the storefront. (Lower integers specify earlier display.)

typeenumOptional

Specifies the type of page. See Pages V3 page types for more about the differences.

Allowed values:
bodystring or nullOptional

HTML or variable that populates the element of this page, in default/desktop view. Required in a POST request if the page type is raw.

is_homepagebooleanOptional

Boolean value that specifies whether this page is the storefront’s home page.

is_customers_onlybooleanOptional

Boolean value. When true, this page is visible only to logged-in customers.

emailstringOptional<=255 characters

Applicable when the page type is contact_form: contact email address that receives messages sent via the form. Must be unique.

meta_titlestring or nullOptional
contact_fieldsstringOptional
Applicable when the page type is `contact_form`: comma-separated list of keywords representing the fields enabled in the control panel for storefront display. Possible fields include: |Field|Description| |-|-| |`fullname`|Full name of the customer submitting the form| |`phone`|Customer’s phone number, as submitted on the form| |`companyname`|Customer’s submitted company name| |`orderno`|Customer’s submitted order number| |`rma`|Customer’s submitted RMA (Return Merchandise Authorization) number|
meta_keywordsstring or nullOptionalDefaults to

Comma-separated list of SEO-relevant keywords to include in the element of this page.

meta_descriptionstring or nullOptional
Description contained within the element of this page.
search_keywordsstring or nullOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

urlstringOptional
Relative URL on the storefront for this page.

Response

dataobject
metaobject
Data about the response, including pagination and collection totals.

Errors

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error